Draft Array/it: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 6: Line 6:
[[Image:Draft_Array_example.jpg|400px]]
[[Image:Draft_Array_example.jpg|400px]]


==How to use==
== Utilizzo ==
# Selezionare gli oggetti con si desidera creare una schiera, che si desidera duplicare secondo un certo ordine
# Select an object you wish to make an array with
# Press the {{KEY|[[Image:Draft Array.png|16px]] [[Draft Array]]}} button
# Premere il pulsante {{KEY/it|[[Image:Draft Array.png|16px]] Matrice}}
# Select {{PropertyData|Array Type}}: Specifies the type of the array, ortho or polar
# Selezionare {{PropertyData|Array Type}}: Specifica il tipo di matrice: ortogonale o polare
# Per le matrici ortogonali:
# For orthogonal arrays:
## {{PropertyData|Interval X}}: The interval between each copy on the first axis
## {{PropertyData|Interval X}}: L'intervallo tra ciascuna copia sul primo asse
## {{PropertyData|Interval Y}}: The interval between each copy on the second axis
## {{PropertyData|Interval Y}}: L'intervallo tra ciascuna copia sul secondo asse
## {{PropertyData|Interval Z}}: The interval between each copy on the third axis
## {{PropertyData|Interval Z}}: L'intervallo tra ciascuna copia sul terzo asse
## {{PropertyData|Number X}}: The number of copies on the first axis
## {{PropertyData|Number X}}: Il numero di copie sul primo asse
## {{PropertyData|Number Y}}: The number of copies on the second axis
## {{PropertyData|Number Y}}: Il numero di copie sul secondo asse
## {{PropertyData|Number Z}}: The number of copies on the third axis
## {{PropertyData|Number Z}}: Il numero di copie sul terzo asse
# For polar arrays:
# Per matrici polari:
## {{PropertyData|Axis}}: The normal direction of the array circle
## {{ProprietaDati|Axis}}: La direzione normale al cerchio della matrice
## {{PropertyData|Center}}: The center point of the array
## {{ProprietaDati|Center}}: Il punto centro della matrice
## {{PropertyData|Angle}}: The angle to cover with copies
## {{ProprietaDati|Angle}}: L'angolo da coprire con le copie
## {{PropertyData|Number Polar}}: The number of copies
## {{ProprietaDati|Number Polar}}: Il numero di copie


==Scripting==
==Scripting==

Revision as of 17:03, 2 February 2017

Matrice

Posizione nel menu
Draft → Matrice
Ambiente
Draft, Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
PathArray

Descrizione

Lo strumento Matrice crea una schiera (array) ortogonale (3 assi) o polare utilizzando gli oggetti selezionati. Se non è selezionato nessun oggetto, lo strumento chiede di selezionarne uno.

Utilizzo

  1. Selezionare gli oggetti con si desidera creare una schiera, che si desidera duplicare secondo un certo ordine
  2. Premere il pulsante Template:KEY/it
  3. Selezionare DatiArray Type: Specifica il tipo di matrice: ortogonale o polare
  4. Per le matrici ortogonali:
    1. DatiInterval X: L'intervallo tra ciascuna copia sul primo asse
    2. DatiInterval Y: L'intervallo tra ciascuna copia sul secondo asse
    3. DatiInterval Z: L'intervallo tra ciascuna copia sul terzo asse
    4. DatiNumber X: Il numero di copie sul primo asse
    5. DatiNumber Y: Il numero di copie sul secondo asse
    6. DatiNumber Z: Il numero di copie sul terzo asse
  5. Per matrici polari:
    1. DatiAxis: La direzione normale al cerchio della matrice
    2. DatiCenter: Il punto centro della matrice
    3. DatiAngle: L'angolo da coprire con le copie
    4. DatiNumber Polar: Il numero di copie

Scripting

The Array tool can by used in macros and from the python console by using one of the following functions, depending if you wish to obtain simple, standalone copies of your base object, or a parametric array object, that stays linked to the original object.

Simple array

For rectangular array:

array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])

For polar array:

array (objectslist,center,totalangle,totalnum)
  • Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • This function produces standalone copies of the base object(s)

Parametric array

- per le matrici rettangolari

makeArray (object,xvector,yvector,xnum,ynum)

For polar array:

makeArray (object,center,totalangle,totalnum)
  • Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • The result of this function is a parametric Draft Array object.

Example:

import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)